Unsupported Browsers

   Journey PlatformPreviously known as the Transact Platform.  |   Form Builder |  v5.0   This feature is related to v5.0.

A number of browser now no longer support Adobe Reader plugins and as such don't support in browser PDF forms. The browsers are listed below:

Google Chrome

Google chrome now no longer supports NPAPI (Netscape Plugin API), which Adobe Reader utilized to run from within the browser. To use PDF forms now If you can try one of the following solutions:

  • Use a different browser, for example, Firefox or Internet Explorer.
  • Disable reader, Chrome's default PDF viewer, so it will force Chrome to open the PDF in the default application for the PC, which can be set as Adobe Reader.

To disable Chrome plugins

  1. Open Chrome and in the address bar type chrome://plugins
  2. Click Details on the right hand side of the page.
  3. Scroll down to Chrome PDF Viewer and click Disable at he bottom of the plugin information.
  4. PDFs will now open to the default App on your machine.

Microsoft Edge

The new Edge browser does not have any support for ActiveX plugins, which is what Adobe Reader uses in its browser plugins. Edge will open PDFs in the default PDF viewer app for your PC. If you still have troubles with PDFs in Edge, it is recommended that you use another browser, for example, Firefox.

Next, learn how to view PDF documents in Chrome.